#pragma once

class CTrans : public CObject
{
	DECLARE_SERIAL(CTrans);
public:
	CTrans(void);
	CTrans(char chLetter, int nDuration = 80, 
		int nFreq = 220, int nPeek = 0);
	virtual ~CTrans(void){};

	virtual void SetLetter(CString strLetter);
	virtual CString GetLetter(void);
	void SetDuration(int nDuration);
	int GetDuration(void);
	void SetFreq(int nFreq);
	int GetFreq(void);

	void Serialize(CArchive &ar);

private:
	CString m_chLetter;
	int m_nDuration;
	int m_nFreq;
	int m_nPeek;
};

