#include "StdAfx.h"
#include ".\brake.h"
#include ".\Trans.h"
IMPLEMENT_SERIAL(CBrake, CTrans, 0);

CBrake::CBrake(void)
: m_strLetter(' ')
{
}

CBrake::CBrake(char chLetter)
: m_strLetter(chLetter)
{
}

CBrake::CBrake(CString strLetter)
: m_strLetter(strLetter)
{
}

void CBrake::SetLetter(CString strLetter)
{
	this->m_strLetter = strLetter;
}

CString CBrake::GetLetter(void)
{
	return this->m_strLetter;
}

void CBrake::Serialize(CArchive &ar)
{
	if(ar.IsStoring())
	{
		ar << m_strLetter;
	}
	else
	{
		ar >> m_strLetter;
	}
}