#pragma once
#include "./TransList.h"
class CTrans;

class CSAMPA
{
public:
	CSAMPA(void);
	CSAMPA(CString strLine);
	virtual ~CSAMPA(void);

	CString GetLine(void);
	void SetLine(CString strLine);
	void Display(void);
	void Write(void);
private:
	CString m_strLine;	
	CTransList m_trLine;

private:
	void ConvertA(void);
	void ConvertB(void);
	void ConvertC(void);
	void ConvertD(void);
	void Reduction(void);

	void Numbers(void);

	void DoubleLetters(void);

	void SetDuration(void);
	void SetFrequencyWord(void);
	void SetFrequencySentence(void);

	int CountSylaby(void);
	int CountLetters(void);
	int CountLetters(int nSylaba, int nWyraz);

	void Sylaby(CTransList* trWord);
	void Wyrazy(void);

	int Check(int nIndex, CString strLetter);
	int CheckUbez(int nIndex);
	int CheckUdz(int nIdex);
	int CheckSamogl(int nIndex);
	int CheckZwarte(int nIndex);
	int LookFor(CString strWord);

};
